List invoices
curl --request GET \
--url https://api.palomma.com/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "01HQY8EW1H9YGH5PAV5Y2M9R3T",
"reference": "INV-2026-0001",
"status": "paid",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"contract": "CTR-8842",
"customerDocumentNumber": "900123456",
"createdAt": "2026-03-11T16:32:14.007Z",
"paymentDate": "2026-03-11T18:01:03.219Z",
"paymentMethod": "pse",
"paymentSource": "link",
"paymentAmount": 1850000,
"settlementDate": "2026-03-12",
"settlementTime": "1",
"paymentId": "payin_8JkM2P",
"paymentUrl": "https://pagos.palomma.com/pay/merchant_123/01HQY8EW1H9YGH5PAV5Y2M9R3T"
}
],
"cursor": "eyJwayI6InJlbnRhbHMj...",
"count": 1
}Invoices
List invoices
Returns a paginated list of invoices for the authenticated merchant.
GET
/
invoices
List invoices
Authorizations
Send header: Authorization: Bearer <apiKey>.
Query Parameters
Filter by invoice reference.
Filter by customer document number.
Filter by contract identifier.
Filter by exact payment date.
Filter by settlement date.
Filter by settlement cycle.
Number of results per page. Min 1, max 100.
Required range:
1 <= x <= 100Opaque cursor from a previous response to fetch the next page.
